import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/GiftConfig/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/GiftConfig/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/GiftConfig/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/GiftConfig/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/GiftConfig/updateByUid' , param);
}

async function getById(param) {
  return requestClient.post('/auth/GiftConfig/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/GiftConfig/getByUuid', param);
}

export const giftConfig = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}